# Interface SourceCodeAnalysis.CompletionInfo

Enclosing class:
  `SourceCodeAnalysis`

public static interface SourceCodeAnalysis.CompletionInfo
The result of `analyzeCompletion(String input)`. Describes the completeness of the first snippet in the given input.

Since:
  9

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SourceCodeAnalysis.Completeness`
  `completeness()`
  The analyzed completeness of the input.
  `String`
  `remaining()`
  Input remaining after the complete part of the source.
  `String`
  `source()`
  Source code for the first Snippet of code input.

- ## Method Details

  - ### completeness

    SourceCodeAnalysis.Completeness completeness()
    The analyzed completeness of the input.
    Returns:
      an enum describing the completeness of the input string.

  - ### remaining

    String remaining()
    Input remaining after the complete part of the source.
    Returns:
      the portion of the input string that remains after the complete Snippet

  - ### source

    String source()
    Source code for the first Snippet of code input. For example, first statement, or first method declaration. Trailing semicolons will be added, as needed.
    Returns:
      the source of the first encountered Snippet